package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemDiscussionTopicSimpleBindingImpl extends ItemDiscussionTopicSimpleBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback173;
    @Nullable
    private final android.view.View.OnClickListener mCallback174;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemDiscussionTopicSimpleBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 3, sIncludes, sViewsWithIds));
    }
    private ItemDiscussionTopicSimpleBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[1]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[2]
            );
        this.itemScheduleLine1Text.setTag(null);
        this.itemScheduleSecondaryMenuImageview.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback173 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        mCallback174 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x4L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.discussionTopic == variableId) {
            setDiscussionTopic((com.ustadmobile.lib.db.entities.DiscussionTopic) variable);
        }
        else if (BR.mPresenter == variableId) {
            setMPresenter((com.ustadmobile.core.controller.CourseDiscussionEditPresenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setDiscussionTopic(@Nullable com.ustadmobile.lib.db.entities.DiscussionTopic DiscussionTopic) {
        this.mDiscussionTopic = DiscussionTopic;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.discussionTopic);
        super.requestRebind();
    }
    public void setMPresenter(@Nullable com.ustadmobile.core.controller.CourseDiscussionEditPresenter MPresenter) {
        this.mMPresenter = MPresenter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.mPresenter);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.lib.db.entities.DiscussionTopic discussionTopic = mDiscussionTopic;
        java.lang.String discussionTopicDiscussionTopicTitle = null;
        com.ustadmobile.core.controller.CourseDiscussionEditPresenter mPresenter = mMPresenter;

        if ((dirtyFlags & 0x5L) != 0) {



                if (discussionTopic != null) {
                    // read discussionTopic.discussionTopicTitle
                    discussionTopicDiscussionTopicTitle = discussionTopic.getDiscussionTopicTitle();
                }
        }
        // batch finished
        if ((dirtyFlags & 0x5L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemScheduleLine1Text, discussionTopicDiscussionTopicTitle);
        }
        if ((dirtyFlags & 0x4L) != 0) {
            // api target 1

            this.itemScheduleSecondaryMenuImageview.setOnClickListener(mCallback174);
            this.mboundView0.setOnClickListener(mCallback173);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        switch(sourceId) {
            case 1: {
                // localize variables for thread safety
                // mPresenter != null
                boolean mPresenterJavaLangObjectNull = false;
                // discussionTopic
                com.ustadmobile.lib.db.entities.DiscussionTopic discussionTopic = mDiscussionTopic;
                // mPresenter
                com.ustadmobile.core.controller.CourseDiscussionEditPresenter mPresenter = mMPresenter;



                mPresenterJavaLangObjectNull = (mPresenter) != (null);
                if (mPresenterJavaLangObjectNull) {



                    mPresenter.handleClickTopic(discussionTopic);
                }
                break;
            }
            case 2: {
                // localize variables for thread safety
                // mPresenter != null
                boolean mPresenterJavaLangObjectNull = false;
                // discussionTopic
                com.ustadmobile.lib.db.entities.DiscussionTopic discussionTopic = mDiscussionTopic;
                // mPresenter
                com.ustadmobile.core.controller.CourseDiscussionEditPresenter mPresenter = mMPresenter;



                mPresenterJavaLangObjectNull = (mPresenter) != (null);
                if (mPresenterJavaLangObjectNull) {



                    mPresenter.handleClickDeleteTopic(discussionTopic);
                }
                break;
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): discussionTopic
        flag 1 (0x2L): mPresenter
        flag 2 (0x3L): null
    flag mapping end*/
    //end
}